Bug 188267 - [PATCH] devel/bisoncpp: update to 4.08.00, take maintainership
Summary: [PATCH] devel/bisoncpp: update to 4.08.00, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-04 22:50 UTC by Muhammad Moinur Rahman
Modified: 2014-04-06 06:53 UTC (History)
0 users

See Also:


Attachments
bisoncpp-4.08.00.patch (1.98 KB, patch)
2014-04-04 22:50 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-04 22:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-06 06:49:38 UTC
Author: sunpoet
Date: Sun Apr  6 05:49:34 2014
New Revision: 350329
URL: http://svnweb.freebsd.org/changeset/ports/350329
QAT: https://qat.redports.org/buildarchive/r350329/

Log:
  - Update to 4.08.00
  - Pass maintainership to submitter
  - While I'm here, relax USE_GCC to yes
  
  Changes:	http://sourceforge.net/projects/bisoncpp/files/bisonc%2B%2B/4.08.00/README/view
  		http://sourceforge.net/projects/bisoncpp/files/bisonc%2B%2B/4.07.00/README/view
  		http://sourceforge.net/projects/bisoncpp/files/bisonc%2B%2B/4.06.00/README/view
  PR:		188267
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com>

Modified:
  head/devel/bisoncpp/Makefile
  head/devel/bisoncpp/distinfo
  head/devel/bisoncpp/files/patch-scanner__lex.cc

Modified: head/devel/bisoncpp/Makefile
==============================================================================
--- head/devel/bisoncpp/Makefile	Sun Apr  6 05:49:29 2014	(r350328)
+++ head/devel/bisoncpp/Makefile	Sun Apr  6 05:49:34 2014	(r350329)
@@ -1,13 +1,13 @@
 # $FreeBSD$
 
 PORTNAME=	bisoncpp
-PORTVERSION=	4.05.00
+PORTVERSION=	4.08.00
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/bisonc%2B%2B/${PORTVERSION}
 DISTNAME=	bisonc++_${PORTVERSION}
 EXTRACT_SUFX=	.orig.tar.gz
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	5u623l20@gmail.com
 COMMENT=	LALR(1) parser generator that generates C++ classes
 
 LICENSE=	GPLv3
@@ -23,7 +23,7 @@ PLIST_SUB+=	PORTVERSION="${PORTVERSION}"
 
 WRKSRC=		${WRKDIR}/bisonc++-${PORTVERSION}
 
-USE_GCC=	4.7
+USE_GCC=	yes
 
 USES=		shebangfix
 
@@ -43,8 +43,6 @@ SHEBANG_FILES=	build \
 		parser/driver/build \
 		scanner/driver/build
 
-.include <bsd.port.options.mk>
-
 post-patch:
 	@${REINPLACE_CMD} 's|%%PREFIX%%|${PREFIX}|g; \
 		s|%%PORTVERSION%%|${PORTVERSION}|g' \

Modified: head/devel/bisoncpp/distinfo
==============================================================================
--- head/devel/bisoncpp/distinfo	Sun Apr  6 05:49:29 2014	(r350328)
+++ head/devel/bisoncpp/distinfo	Sun Apr  6 05:49:34 2014	(r350329)
@@ -1,2 +1,2 @@
-SHA256 (bisonc++_4.05.00.orig.tar.gz) = 02bc8562821e21def97c107e92ef719d457856a075fa428ed41a9274d25ed3e6
-SIZE (bisonc++_4.05.00.orig.tar.gz) = 667852
+SHA256 (bisonc++_4.08.00.orig.tar.gz) = 39fd079d252867f6e2a38e2ef46d8aeb02ebf71e8d515249703d6d7c641a48b5
+SIZE (bisonc++_4.08.00.orig.tar.gz) = 667353

Modified: head/devel/bisoncpp/files/patch-scanner__lex.cc
==============================================================================
--- head/devel/bisoncpp/files/patch-scanner__lex.cc	Sun Apr  6 05:49:29 2014	(r350328)
+++ head/devel/bisoncpp/files/patch-scanner__lex.cc	Sun Apr  6 05:49:34 2014	(r350329)
@@ -1,11 +1,11 @@
---- ./scanner/lex.cc.orig	2013-08-10 10:17:17.000000000 +0200
-+++ ./scanner/lex.cc	2013-11-27 19:14:33.000000000 +0100
-@@ -2836,7 +2836,7 @@
+--- scanner/lex.cc.orig	2014-04-04 14:46:17.624123806 +0600
++++ scanner/lex.cc	2014-04-04 14:46:39.301107135 +0600
+@@ -2702,7 +2702,7 @@
          {
- #line 192 "lexer"
+ #line 193 "lexer"
              {
--    d_number = stoul(d_matched);
-+    d_number = A2x(d_matched);
-     return Parser::NUMBER;
- }
- 
+-                d_number = stoul(d_matched);
++                d_number = A2x(d_matched);
+                 return Parser::NUMBER;
+             }
+         }
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-04-06 06:53:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!